#ifndef IPBook_impl_h
#define IPBook_impl_h 1

#include "IPBook.h"

#include <map>
#include <string>

using namespace std;

class IPBook_impl : virtual public POA_IPBook
{
public:
    // implement pure virtual functions from POA_IPBook
    virtual void addEntry( const char* name, const char* number );
    virtual char* searchEntry( const char* name );
    
private:
    map <string, string, less<string> > _numbers; 
};

#endif
